Package weka.core.pmml.jaxbbindings

# Class NumericPredictor

java.lang.Object
weka.core.pmml.jaxbbindings.NumericPredictor

public class NumericPredictor extends Object

Java class for NumericPredictor element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="NumericPredictor">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="coefficient" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="exponent" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="1" />
             <attribute name="name" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericPredictor()`
  `NumericPredictor(String name, BigInteger exponent, double coefficient)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getCoefficient()`
  Gets the value of the coefficient property.
  `BigInteger`
  `getExponent()`
  Gets the value of the exponent property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getName()`
  Gets the value of the name property.
  `void`
  `setCoefficient(double value)`
  Sets the value of the coefficient property.
  `void`
  `setExponent(BigInteger value)`
  Sets the value of the exponent property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumericPredictor

    public NumericPredictor()

  - ### NumericPredictor

    public NumericPredictor(String name, BigInteger exponent, double coefficient)

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getCoefficient

    public double getCoefficient()
    Gets the value of the coefficient property.

  - ### setCoefficient

    public void setCoefficient(double value)
    Sets the value of the coefficient property.

  - ### getExponent

    public BigInteger getExponent()
    Gets the value of the exponent property.
    Returns:
      possible object is `BigInteger`

  - ### setExponent

    public void setExponent(BigInteger value)
    Sets the value of the exponent property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`